Summary:	The Eye of GNOME image viewer
Name:     	eog
Version: 2.18.0.1
Release: %mkrel 1
License:	GPL
Group:		Graphical desktop/GNOME
Source: 	ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.bz2
URL:		http://www.gnome.org/

BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
BuildRequires:	libglade2.0-devel
BuildRequires:	libgnomeui2-devel >= 2.5.5
BuildRequires:	librsvg-devel >= 2.0.0
BuildRequires:	libgnomeprintui-devel >= 2.2
BuildRequires:	scrollkeeper >= 0.3
BuildRequires:  libexif-devel
BuildRequires:  eel-devel
BuildRequires:  gnome-doc-utils libxslt-proc
BuildRequires:  perl-XML-Parser
BuildRequires:  desktop-file-utils
Requires(post): scrollkeeper >= 0.3 desktop-file-utils
Requires(postun): scrollkeeper >= 0.3 desktop-file-utils
Requires: librsvg
Requires: gnome-icon-theme

%description
This is the Eye of Gnome, an image viewer program. It is meant
to be a fast and functional image viewer as well as an image
cataloging program. It does proper handling of large images and
images with full opacity information, and can zoom and scroll
images quickly while keeping  memory usage constant.

%prep
%setup -q

%build

%configure2_5x

%make


%install
rm -rf $RPM_BUILD_ROOT %name.lang

# needed otherwise gconf database installation will fail
GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall_std

%{find_lang} %{name} --with-gnome

for omf in %buildroot%_datadir/omf/eog/eog-??*.omf;do 
echo "%lang($(basename $omf|sed -e s/eog-// -e s/.omf//)) $(echo $omf|sed -e s!%buildroot!!)" >> %name.lang
done

# Menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat >$RPM_BUILD_ROOT%{_menudir}/%{name} <<EOF
?package(%{name}): command="%{_bindir}/%{name}" needs="gnome" \
icon="image-viewer.png" section="Multimedia/Graphics" \
title="Eye of Gnome" longtitle="Eye of Gnome Image Viewer" \
startup_notify="true" xdg="true"
EOF
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Multimedia-Graphics" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*


rm -rf %buildroot/var/lib/scrollkeeper

%clean
rm -rf $RPM_BUILD_ROOT


%post  
%{update_menus}
%update_scrollkeeper
%update_desktop_database
%post_install_gconf_schemas %name
%update_icon_cache hicolor

%preun
%preun_uninstall_gconf_schemas %name

%postun
%clean_scrollkeeper
%{clean_menus}
%clean_desktop_database
%clean_icon_cache hicolor

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README
%{_sysconfdir}/gconf/schemas/*
%{_bindir}/*
%{_datadir}/applications/*
%{_datadir}/eog
%_datadir/icons/hicolor/*/*/*
%dir %{_datadir}/omf/eog
%{_datadir}/omf/eog/*-C.omf
%{_datadir}/pixmaps/*
%{_menudir}/*


%changelog
* Tue Mar 13 2007 Götz Waschk <waschk@mandriva.org> 2.18.0.1-1mdv2007.1
+ Revision: 142146
- new version

* Sun Mar 11 2007 Götz Waschk <waschk@mandriva.org> 2.18.0-1mdv2007.1
+ Revision: 141419
- new version

* Mon Feb 26 2007 Götz Waschk <waschk@mandriva.org> 2.17.92-1mdv2007.1
+ Revision: 125977
- new version

* Mon Feb 12 2007 Götz Waschk <waschk@mandriva.org> 2.17.91-1mdv2007.1
+ Revision: 120046
- new version

* Mon Jan 22 2007 Götz Waschk <waschk@mandriva.org> 2.17.90-1mdv2007.1
+ Revision: 112082
- new version
- add icons

* Tue Jan 16 2007 Götz Waschk <waschk@mandriva.org> 2.17.3-2mdv2007.1
+ Revision: 109553
- glib rebuild

* Tue Dec 19 2006 Götz Waschk <waschk@mandriva.org> 2.17.3-1mdv2007.1
+ Revision: 99079
- new version

* Tue Dec 05 2006 Götz Waschk <waschk@mandriva.org> 2.17.2-1mdv2007.1
+ Revision: 90782
- new version

* Mon Nov 27 2006 Götz Waschk <waschk@mandriva.org> 2.17.1-1mdv2007.1
+ Revision: 87539
- new version

* Tue Nov 21 2006 Götz Waschk <waschk@mandriva.org> 2.16.2-1mdv2007.1
+ Revision: 85965
- new version

* Fri Oct 20 2006 Götz Waschk <waschk@mandriva.org> 2.16.1.1-1mdv2007.0
+ Revision: 71525
- new version
  update file list
- Import eog



* Sat Sep 30 2006 Götz Waschk <waschk@mandriva.org> 2.16.1-1mdv2007.0
- New version 2.16.1

* Mon Sep 04 2006 Götz Waschk <waschk@mandriva.org> 2.16.0.1-1mdv2007.0
- New release 2.16.0.1

* Mon Sep 04 2006 Götz Waschk <waschk@mandriva.org> 2.16.0-1mdv2007.0
- New release 2.16.0

* Tue Aug 22 2006 Götz Waschk <waschk@mandriva.org> 2.15.92-1mdv2007.0
- New release 2.15.92

* Tue Aug 08 2006 Götz Waschk <waschk@mandriva.org> 2.15.91-1mdv2007.0
- New release 2.15.91

* Tue Jul 25 2006 Götz Waschk <waschk@mandriva.org> 2.15.90-1
- New release 2.15.90

* Wed Jul 12 2006 Gtz Waschk <waschk@mandriva.org> 2.15.4-1mdv2007.0
- xdg menu
- New release 2.15.4

* Sun Jun 11 2006 Götz Waschk <waschk@mandriva.org> 2.15.3-1
- New release 2.15.3

* Wed Jun  7 2006 Gtz Waschk <waschk@mandriva.org> 2.15.2-2mdv2007.0
- fix buildrequires

* Fri Jun 02 2006 Frederic Crozat <fcrozat@mandriva.com> 2.15.2-1mdv2007.0
- Release 2.15.2

* Sun May 28 2006 Götz Waschk <waschk@mandriva.org> 2.14.2-1mdk
- New release 2.14.2

* Tue Apr 18 2006 Frederic Crozat <fcrozat@mandriva.com> 2.14.1-1mdk
- Release 2.14.1

* Tue Feb 07 2006 Götz Waschk <waschk@mandriva.org> 2.12.3-1mdk
- New release 2.12.3
- use mkrel

* Tue Nov 29 2005 Gtz Waschk <waschk@mandriva.org> 2.12.2-1mdk
- fix installation
- New release 2.12.2

* Fri Oct 07 2005 Frederic Crozat <fcrozat@mandriva.com> 2.12.1-1mdk
- Release 2.12.1

* Tue Jun 28 2005 Gtz Waschk <waschk@mandriva.org> 2.10.2-1mdk
- New release 2.10.2

* Fri Apr 15 2005 Frederic Crozat <fcrozat@mandriva.com> 2.10.0-1mdk 
- Release 2.10.0 (based on Gtz Waschk package) :

* Thu Dec  2 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.8.2-1mdk
- fix buildrequires
- New release 2.8.2

* Tue Oct 19 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.1-1mdk
- New release 2.8.1
- Remove patch0 (no longer relevant)

* Mon Sep 06 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.1-2mdk
- Patch0 : fix printing (Mdk bug #10451)

* Thu Apr 22 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.6.1-1mdk
- fix file section
- New release 2.6.1

* Wed Apr 21 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.0-2mdk
- Fix BuildRequires

* Tue Apr 06 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.0-1mdk
- Release 2.6.0 (with Gtz help)

* Wed Nov  5 2003 Gtz Waschk <waschk@linux-mandrake.com> 2.4.1-1mdk
- new version

* Tue Sep 09 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.0-1mdk
- Release 2.4.0

* Wed Sep 03 2003 David Baudens <baudens@mandrakesoft.com> 2.3.90-3mdk
- Display menu entry only under GNOME

* Tue Sep 02 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.3.90-2mdk
- Fix BuildRequires

* Tue Sep 02 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.3.90-1mdk
- Release 2.3.90

* Tue Aug 26 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.3.6-1mdk
- Release 2.3.6

* Tue Aug 19 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.3.5-3mdk
- rebuild with latest libexif

* Wed Aug  6 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.3.5-2mdk
- Add lang tag to OMF files

* Thu Jul 17 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.3.5-1mdk
- Release 2.3.5

* Wed Jul 16 2003 Gtz Waschk <waschk@linux-mandrake.com> 2.3.3-3mdk
- fix buildrequires

* Wed Jun 18 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.3.3-2mdk
- Enforce librsvg gdk-pixbuf engine dependency (Ankh, GU4DEC Powered)

* Fri Jun  6 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.3.3-1mdk
- Release 2.3.3

* Wed May 07 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.3.1-1mdk
- Release 2.3.1
- Fix BuildRequires again

* Tue Apr 22 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.3.0-2mdk
- Fix BuildRequires

* Fri Apr 11 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.3.0-1mdk
- Release 2.3.0

* Tue Jan 28 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.0-1mdk
- Release 2.2.0

* Fri Jan 17 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 1.1.4-2mdk
- Recompiled against latest openssl
- Generate yelp cache

* Tue Jan  7 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 1.1.4-1mdk
- Release 1.1.4

* Tue Dec 31 2002 Stefan van der Eijk <stefan@eijk.nu> 1.1.3-2mdk
- BuildRequires

* Wed Dec 11 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.1.3-1mdk
- Release 1.1.3
- don't bzip png files, it is useless

* Fri Nov 29 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.1.2-2mdk
- Enhance description (Yura Gusev)

* Thu Nov 28 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.1.2-1mdk
- Release 1.1.2

* Thu Oct 10 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.3-1mdk
- Release 1.0.3

* Mon Aug  5 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.2-1mdk
- Release 1.0.2

* Thu Jun 20 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.1-1mdk
- Release 1.0.1

* Tue Jun 11 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.0-1mdk
- Release 1.0.0

* Fri Jun  7 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.118.0-3mdk
- Fix BuildRequires (thanks to Goetz Waschk)

* Thu Jun  6 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.118.0-2mdk
- Recompiled against libbonoboui 2.0.0

* Wed Jun  5 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.118.0-1mdk
- Release 0.118.0

* Mon Apr 29 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.117.0-1mdk
- Release 0.117.0

* Thu Apr 18 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.116.1-1mdk
- Release 0.116.1

* Mon Mar 25 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.115.0-1mdk
- Release 0.115.0 (GNOME 2)
- Add scrollkeeper support

* Thu Jan 31 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.5-11mdk
- xpm -> png icons

* Fri Oct 19 2001 Stefan van der Eijk <stefan@eijk.nu> 0.5-10mdk
- BuildRequires: libxml-devel

* Mon Aug 13 2001 dam's <damien@mandrakesoft.com> 0.5-9mdk
- rebuilt

* Sun Jun 10 2001 Stefan van der Eijk <stefan@eijk.nu> 0.5-8mdk
- BuildRequires: db1-devel
- BuildRequires: libglade-devel
- BuildRequires: liboaf-devel
- BuildRequires: popt-devel
- Removed BuildRequires: libaudiofile-devel--> is required by gnome-libs-devel
- Removed BuildRequires: libesound-devel--> is required by gnome-libs-devel
- Removed BuildRequires: libimlib-devel--> is required by gnome-libs-devel
- Removed BuildRequires: libjpeg-devel --> is required by gdk-pixbuf-devel
- Removed BuildRequires: libtiff-devel --> is required by gdk-pixbuf-devel
- Removed BuildRequires: XFree86-devel --> is required by gnome-libs-devel
- Removed BuildRequires: zlib-devel --> is required by gdk-pixbuf-devel

* Mon Mar 26 2001 Frederic Crozat <fcrozat@trinidad.mandrakesoft.com> 0.5-7mdk
- Correct BuildRequires (thanks to Stefan van der Eijk)

* Tue Feb 20 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.5-6mdk
- kill oafd during install

* Wed Jan 24 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.5-5mdk
- Recompiled against oaf 0.6.2

* Mon Dec  4 2000 dam's <damien@mandrakesoft.com> 0.5-4mdk
- added noreplace

* Mon Dec  4 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.5-3mdk
- updated for new 'lib' naming policy
- compile temporarily without bonobo
- patches for libgconf1

* Thu Oct 26 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.5-2mdk
- recompiled with gnome-print 0.24 and bonobo 0.23

* Mon Sep 18 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.5-1mdk
- new version

* Tue Aug 29 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.4-3mdk
- changed icons to xpm

* Thu Aug 24 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.4-2mdk
- add 32 and 16 icons

* Mon Aug 22 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.4-1mdk
- further macroszification
- added requirements
- patch to remove gconf registration in Makefile.am
- added gconf registration in post install
- added new files
- compilation with bonobo
- changed icon to eog shipped icon (gnome-eog.png)
- config without 'no replace' on purpose (schemas are reference files 
  which must be on par with gconf database), tell me if it's wrong. 

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.3-8mdk
- automatically added BuildRequires

* Fri Jul 21 2000 dam's <damien@mandrakesoft.com> 0.3-7mdk
- BM + macrozification.

* Wed Jul  5 2000 dam's <damien@mandrakesoft.com> 0.3-6mdk
- mandrake release.
- specfile cleanup.

* Mon May 15 2000 Pixel <pixel@mandrakesoft.com> 0.3-5mdk
- add buidrequire

* Wed May  3 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.3-4mdk
- remove software version in the menu entry
- remove prefix for menu and icons
- remove directory owns of locales

* Sat Apr 29 2000 Daouda Lo <daouda@mandrakesoft.com> 0.3-3mdk
- fixed wrong version in menuentry (reported by andreas ;-)

* Fri Apr 28 2000 Daouda Lo <daouda@mandrakesoft.com> 0.3-2mdk
- icon 32*32 

* Tue Apr 24 2000 Daouda Lo <daouda@mandrakesoft.com> 0.3-1mdk
- release
* Tue Apr 18 2000 Daouda Lo <daouda@mandrakesoft.com> 0.2-2mdk
- fix %post

* Sun Apr 16 2000 Daouda Lo <daouda@mandrakesoft.com> 0.2-1mdk
- first Mandrake rpm.
- build from helix package.
- SMP build/check.
- add menu and icon file
